Archive:Fr FR/FAQMiseAJourYum

From FedoraProject

Revision as of 20:49, 16 February 2010 by Mrtom (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Important.png
Old page
This page has been marked as "old", and likely contains content that is irrelevant or incorrect. If you can, please update this page. This page will be deleted if action is not taken.
{| style="width: 100%; text-align: center"

|- |style="color: white; background: #3074c2; font-weight: bold; font-size: larger" | Question Fréquentes sur la Mise à jour de Fedora avec yum |- | File:Fr FR FAQMiseAJourYum WikiGraphics/Fedora_Design.png |- |style="text-align: center; color: black; background-color: #eeeff1" | Table des Matières |- |style="text-align: left; background: white url(/wiki/WikiGraphics?action=AttachFile&do=get&target=tablebg.png) no-repeat bottom right" | |}

Contents

Mettre à jour Fedora avec Yum

Bien que la mise à jour avec yum ait été testée et fonctionne, la mise à jour en ligne n'est pas recommandée par le Projet Fedora. Si vous n'êtes pas préparé à résoudre les problèmes par vous même si les choses se passent mal, vous devriez probablement utiliser la méthode d'installation recommandée à la place. Avec une installation typique, cette méthode fonctionne généralement bien, mais peut abîmer les paquetages tierce partie qui ne sont pas disponibles dans les dépôts Fedora. Merci de chercher en premier dans les archives de la mailing liste si vous rencontrez des problèmes.

La méthode d'installation recommandée est détaillée dans le guide suivant (en anglais) :

http://fedora.redhat.com/docs/fedora-install-guide-en/

D'autres détails sur la mise à jour de Fedora sont disponibles sur :

http://fedoraproject.org/wiki/fr_FR/MiseAJourDistribution

Retours d'Expérience

Si vous mettez à jour avec Yum et que vous rencontrez des problèmes généraux de dépendances, fichez-les dans BugZilla .

Nettoyer

Lancez la commande suivante en premier lieu pour ne pas vous retrouver avec un problème de dépendance résiduelle :



Problèmes Communs

FC5 -> FC6

Après mise à jour, vous ne pourrez pas utiliser l'ISO du DVD monté en boucle locale directement comme dépôt (exemple : pas de baseurl=file:///mnt/fc6/) parce que les fichier repodata contiennent des URL du type media:// que yum ne peut supporter. Vous pouvez utilisez l'ISO du DVD monté en boucle locale pour la mise à jour de FC5 vers FC6, mais plus après. Après avoir supprimé l'option baseurl=file:/// de votre fichier fedora-core.repo, n'oubliez pas la commande yum clean all.

FC4 -> FC5

  • Avant de lancer la mise à jour, mettez à niveau votre noyau.

* Assurez-vous d'avoir le dernier noyau SUPÉRIEUR au 2.6.14 et désinstallez toutes les versions du noyau précédentes, autrement initscripts et quelques autres paquets seront en conflit et empêcheront la mise à jour. Utilisez quelque chose comme la commande ci-dessous :
<pre>

* Installez la version <code>fedora-release</code> de Fedora Core 5. Référez-vous aux [http://fedora.redhat.com/Download/mirrors.htmlsites miroirs]  pour un téléchargement plus rapide.
<pre>
* Mettez à jour votre système
<pre>
* Après la mise à jour, les permissions SELinux peuvent être incorrectes, ce qui causera des échecs fort intéressants comme le refus de metacity de démarrer. Comme suggéré ci-dessous, pour corriger cela, lancez :
<pre>


== FC3 -> FC4 ==
* Assurez-vous de posséder la dernière version de yum pour fc3 :
<code> yum update yum </code>
* Téléchargez <code>fedora-release</code> pour FC4 :
* <code>wget http://yourmirrorhere/pub/fedora/linux/core/4/$yourarch/os/Fedora/RPMS/fedora-release-4-2.noarch.rpm</code>
* <code>rpm -Uvh /path/to/fedora-release-4-2.noarch.rpm</code>
* <code>yum update</code> (Cela lancera le processus de mise à jour vers FC4)
* Une fois la mise à jour effectuée, lancez : <code>yum groupinstall "GNOME Desktop Environment"</code> (changez GNOME en KDE si désiré). Cela installera quelques nouveaux paquets ajoutés dans FC4 comme Evince et NetworkManager.
* Quelques nouveaux groupes ont été ajoutés - <code> yum grouplist </code> - jetez un oeil à Eclipse et au développement Java en particulier.

=== Problèmes ===

* Les bases de données Postgres sous FC4 ont un nouveau format incompatible avec les versions antérieures. Une sauvegarde et restauration manuelle est requise si vous utilisez ce gestionnaire. Consultez la documentation de postrgres pour de plus amples informations.

* <code>kernel</code> requiert <code>kernel-utils</code> (ou vice-versa) lancez :
<pre>
yum update kernel
reboot
yum remove kernel-2.6.11\*FC3\*
yum upgrade
reboot
  • Cela prend une éternité et bloque sur :

Reading repository metadata in from local files Cale signifie que votre rpmdb n'est pas en ordre et cela prend un certain temps de la parcourir. Vérifiez combien de noyaux vous avez installés avec la commande rpm -q kernel kernel-smp et supprimez les anciennes versions. Vous pouvez également essayer de lancer rpm --rebuilddb pour voir si cela vous aide. Il a pu être constaté que la suppression des anciens noyaux et la reconstruction de la base rpm aide à résoudre ce problème.

  • La mise à jour x86_64 requiert que certains paquets i386 soient supprimés avant la mise à jour :
yum remove perl.i386
TODO: ajouter la liste des paquetages bonobo i386 à supprimer ici
  • 'Error: Missing Dependency: libpython2.3.so.1.0 is needed by package koffice'

koffice a été supprimé de Fedora Core et non déplacé vers les Extras - il n'est donc pas possible de mettre à jour vers FC4 sans le supprimer. Lancez :

yum remove koffice

Votre mise à jour devrait ensuite aboutir.

  • Les systèmes x86_64 semblent bloquer pendant la phase "Running Transaction Test"

Cela semble rattaché au Bug 155730 -- Peut être que la mise à jour vers le paquet "rpm-4.3.3-3.0.fc3" (actuellement dans le dépôt updates-testing) pourra résoudre ce problème. Solution vilaine (à exécuter en tant que root):

: > /var/log/lastlog
  • La vérification GPG échoue avec ce message :
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID db42a60e
public key not available for <some_package>
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

The GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2)
is already installed but is not the correct key for this package.
Check that this is the correct key for the "Fedora Core 4 - i386 - Base" repository.

Éditez le fichier /etc/yum.repos.d/fedora.repo et remplacez la ligne

gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

par :

gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY
  • SELinux est désordonné. J'ai du télécharger le RPM selinux-policy-targeted depuis un miroir, faire une désintallation forcée de l'ancien paquet, nettoyer les .rpmnew et .rpmsave puis installer les nouvelles règles. Ensuite, j'ai du exécuter /sbin/fixfiles relabel et attendre. Sans effectuer ces actions, je ne pouvais me connecter.
  • Si SELinux vous pose des problèmes, il peut être désactivé au démarrage en appuyant sur "a" au menu de démarrage grub, et en ajoutant "enforcing=off" à la liste des arguments.
  • RPM se plaint à propos d'espace disque manquant, alors qu'il y en a beaucoup de libre. Si vous êtes vraiment sûr que votre espace libre est suffisant, ajoutez
diskspacecheck=0
</code> dans la fichier <code>/etc/yum.conf</code>. La transaction RPM va demander beaucoup d'espace disque temporaire (beaucoup plus que vous ne pourriez le penser), alors faites attention. N'oubliez pas de retirer cette instruction après la mise à jour.

* Yum se plaint de fichiers en conflit dans le paquet GCC. Ce système a été mis à jour depuis Fedora Core 1. Supprimez le paquet gcc32 :
<pre>
sudo rpm -e gcc32
  • Certains de vos modules ne se chargent pas après la mise à jour. Après recherches, il apparaît que modprobe ne fonctionne pas pas comme escompté. Lancez depmod :
sudo depmod -ae -F /boot/System.map-[la version de votre noyau renvoyée par <code>uname -a</code> ici] 

FC2 -> FC3

Consultez cette page pour plus d'informations : http://linux.duke.edu/~skvidal/misc/fc2-fc3-update-with-yum.txt

FC1 -> FC2

Mettez simplement à jour en utilisant anaconda, épargnez vous de nombreux problèmes.


CategoryFAQ